{ config, inputs, outputs, pkgs, ... }: {
  boot = {
    initrd.kernelModules = [ "amdgpu" "zfs" ];
    #kernel.sysctl = {
    #  "net.ipv4.ip_forward" = true;
    #};
    kernelPackages = pkgs.kerneol.linuxPackages_7_0;
    loader = {
      efi.canTouchEfiVariables = true;
      systemd-boot = {
        enable = true;
        memtest86.enable = true;
      };
      timeout = 3;
    };
    supportedFilesystems = [ "zfs" ];
    zfs = {
      devNodes = "/dev/disk/by-label";
      forceImportRoot = false;
      package = pkgs.kerneol.zfs_2_4;
    };
  };

  environment.systemPackages = [
    pkgs.wpa_supplicant
  ];

  imports = [
    ./disks.nix
    ./hardware-configuration.nix
    ../common/core
    ../common/optional/misc.nix
    ../common/optional/services/fwupd.nix
    ../common/optional/services/nolid.nix
    ../common/optional/services/openssh.nix
    ../common/optional/services/tlp.nix
    ../common/optional/zfs.nix
    ../common/users/nipsy
    ../common/users/root
  ];

  networking = {
    hostId = "4ae5eb4d";
    hostName = "saturn";
    interfaces.enp2s0f0.wakeOnLan.enable = true;
    nftables.enable = true;
    search = [
      "bitgnome.net"
    ];
    wireless = {
      enable = true;
      userControlled.enable = true;
    };
  };

  nixpkgs = {
    config.allowUnfree = true;
    hostPlatform = "x86_64-linux";
    overlays = [
      outputs.overlays.additions
      outputs.overlays.kerneol-packages
      outputs.overlays.master-packages
      outputs.overlays.modifications
      outputs.overlays.stable-packages
    ];
  };

  #sops = {
  #  age.sshKeyPaths = [ "/etc/ssh/ssh_host_ed25519_key" ];
  #  defaultSopsFile = ../secrets/saturn.yaml;

  #  secrets = {
  #    "kea-dhcp4_conf" = {};
  #    "nftables/forward" = {};
  #    "nftables/ssh" = {};
  #    "nix-access-token-github" = {};
  #  };
  #};

  system.stateVersion = "24.11";
}
